Please make sure to update to WPML 4.3.6 and check our list of Known Issues before reporting

This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

Our next available supporter will start replying to tickets in about 11.13 hours from now. Thank you for your understanding.

This thread is resolved. Here is a description of the problem and solution.

Problem:

You might be getting deprecated warnings that are related to the following when you scan your site with the Site Ground scan option before upgrading to PHP 7.1

  • mcrypt_get_iv_size()
  • mcrypt_create_iv()
  • mcrypt_encrypt()
  • mcrypt_decrypt()

Solution:

Please update WPML to its latest version. This issue is fixed since version 3.7.0.

Tagged: 

This topic contains 6 replies, has 2 voices.

Last updated by jose-luiso 1 year, 8 months ago.

Assigned support staff: Itamar.

Author Posts
April 28, 2018 at 12:49 pm #1875501

jose-luiso

Hi,

website: giovannamoon.com

Errors:

1- My hosting is telling me that i'm using an old version of PHP. I'm trying to update to PHP 7.1, but the only error that i have, it's with WPML. I've attached an screnshot.

2- Translation Manager: I have an advice from WPML to change an option in the translation manager, but i can't find it. I've attached an screshot.

3- String Translation: same than Translation manager. I can see where to clicl to install but doesn't do anyhting.

Thanks

April 30, 2018 at 6:30 pm #1903186

Itamar
Supporter

Languages: English (English ) Hebrew (עברית )

Timezone: Asia/Jerusalem (GMT+02:00)

Hi.

Thank you for contacting the WPML support forum.

Issue number 1
Are you using the latest version og WPML?

If not, then please update WPMl to its latest version and scan again to see if you get those errors again.

To ensure the quickest and most accurate support, please provide your debug information so that I can get a look at some of your configurations.
We have an excellent article on how to located here: https://wpml.org/faq/provide-debug-information-faster-support/.

Issue number 2 and 3
You are getting those messages because you are using the Divi them and our Multilingual Blog package. If you would like to get the full potential of translation when using the Divi theme, you would need to upgrade to our Multilingual CMS package which also comes with our Strings Translation and Translation Management add-ons. Please see the differences here.
https://wpml.org/purchase/
You can read the documentation about how to work with WPMl and the Divi theme here.
https://wpml.org/documentation/theme-compatibility/divi-builder/

Please let me know if you have any questions about this issue.

Best Regards,
Itamar.

May 2, 2018 at 9:43 am #1927259

jose-luiso

1- I think i have the latest version 3.9.4. But i can't "check for updates".
2- Ok.

May 2, 2018 at 7:52 pm #1942739

Itamar
Supporter

Languages: English (English ) Hebrew (עברית )

Timezone: Asia/Jerusalem (GMT+02:00)

Yes you have the latest version 3.9.4
Can you run the SiteGroub and check again and see if you still get those mcrypt warnings?
I'm not sure if you have tried it.

May 3, 2018 at 4:44 pm #1963434

jose-luiso

Hi,

It's running right after a few tries.

I have 2 websites: First one is the blog and the second one is the shop.
Shop: I can't find the woocomerce widgets after i installed WPML. How can i solve it?

Thanks

May 3, 2018 at 6:52 pm #1965246

Itamar
Supporter

Languages: English (English ) Hebrew (עברית )

Timezone: Asia/Jerusalem (GMT+02:00)

Hi.

Thanks for trying that.
I'm glad that it is OK now.

In our forum, we try to keep one issue per ticket.
As the original issue is resolved may I kindly ask you please to open a new ticket for your additional question?
Continuing with one ticket per issue helps not only supporters to focus on one issue at once, but also enables other users to find solutions to their questions faster.

Thanks,
Itamar.

May 5, 2018 at 4:00 pm #1991721

jose-luiso

Ok. Thanks